//Set working directory if necessary
//cd "..."


/////////////////////////////////////////////
//Inter-coder reliability (between debates)
/////////////////////////////////////////////

//Load ICR dataset
use "./Datasets/diceu_inter_coder_between.dta", replace

//Calculate Krippendorff's alpha - mentioned in the Online appendix
krippalpha c1_position c2_position, method(ordinal)


/////////////////////////////////////////////
//Inter-coder reliability (within debates)
/////////////////////////////////////////////

//Load ICR dataset
use "./Datasets/diceu_inter_coder_within.dta", replace

//Calculate Krippendorff's alpha - mentioned in the Online appendix
forvalues i = 1(1)22 {
          replace c1_V6_`i' = . if c1_V6_`i' == 9
		  replace c2_V6_`i' = . if c1_V6_`i' == 9
		  krippalpha *_V6_`i', method(ordinal)
          gen alpha_`i' =`r(k_alpha)'
		  egen c1_units_`i' = count(c1_V6_`i') 
		  egen c2_units_`i' = count(c2_V6_`i') 
		  egen co_rating_`i' = rowmin(c1_units_`i' c2_units_`i')
		  gen weighted_alpha_`i' = alpha_`i' * co_rating_`i'
      }
qui egen alphamean=rowmean(alpha_*) in 1
qui egen weighted_alphasum=rowtotal(weighted_alpha_*) in 1
qui egen co_ratingsum_V6=rowtotal(co_rating_*) in 1
qui gen alphamean_adjusted = weighted_alphasum / co_ratingsum_V6
qui sum alphamean
scalar overallalpha_V6 = r(mean)
sum alphamean_adjusted
scalar overallalpha_adjusted_V6= r(mean)
drop alpha_* alphamean* c1_units_* c2_units_* co_rating_* weighted_alpha* 
display overallalpha_V6 
display overallalpha_adjusted_V6
