//Set working directory if necessary
//cd "..."


//Load approval data
use "./Datasets/diceu_approval_debates_long.dta", clear

//Estimate model in TABLE A12
encode actor, gen(actor_num)
reg approval i.language i.actor_num, vce(cluster actor_num)
outreg using "./Tables/Table_A12.doc", replace starlevels(5) se

//Load meta information on interventions
use "./Datasets/diceu_meta_information_interventions.dta", clear

//Produce TABLE A13 in the Online appendix
//Note that in two cases the language is missing, since it changes between speakers for the same actor or because the debate was lost
//Overall fraction of use of English mentioned in footnote 3 in the article
tab language
estpost tab actor language 
esttab using "./Tables/Table_A13.rtf", replace cells("b(label(freq)) pct(fmt(2)) cumpct(fmt(2))") varlabels(`e(labels)') nonumber nomtitle noobs label 

