//Set working directory if necessary
//cd "..."


//Load dataset
use "./Datasets/diceu_missing_participation.dta", clear

//Frequency of participation by government - some figures mentioned in the Online appendix
tabstat missing, by(government)

//Perform multiple imputation
xtset country id_debate
mi set flong
mi register imputed gov_lr_cmp_static gov_state_involvement_cmp_st gov_planned_economy_cmp_st gov_free_market_cmp_static gov_lr_cmp_static_e gov_state_involve_cmp_st_e gov_planned_economy_cmp_st_e gov_free_market_cmp_static_e
set seed 12345
mi impute chained (pmm, knn(5)) gov_lr_cmp_static gov_state_involvement_cmp_st gov_planned_economy_cmp_st gov_free_market_cmp_static gov_lr_cmp_static_e gov_state_involve_cmp_st_e gov_planned_economy_cmp_st_e gov_free_market_cmp_static_e = missing eu_cont_gdp attended_debates_pm_no votes accession_year gdp_growth i.country i.id_debate, add(30) burnin(100) force

//Estimate models in TABLE A10 in the Online Appendix
mi estimate, post cmdok: logit missing gov_lr_cmp_static votes eu_cont_gdp gdp_growth attended_debates_pm_no accession_year
outreg using "./Tables/Table_A10.doc", replace starlevels(5) se
mi estimate, post cmdok: logit missing gov_lr_cmp_static_e votes eu_cont_gdp gdp_growth attended_debates_pm_no accession_year
outreg using "./Tables/Table_A10.doc", merge starlevels(5) se

mi estimate, post cmdok: logit missing gov_planned_economy_cmp_st votes eu_cont_gdp gdp_growth attended_debates_pm_no accession_year
outreg using "./Tables/Table_A10.doc", merge starlevels(5) se
mi estimate, post cmdok: logit missing gov_planned_economy_cmp_st_e votes eu_cont_gdp gdp_growth attended_debates_pm_no accession_year
outreg using "./Tables/Table_A10.doc", merge starlevels(5) se

mi estimate, post cmdok: logit missing gov_free_market_cmp_static votes eu_cont_gdp gdp_growth attended_debates_pm_no accession_year
outreg using "./Tables/Table_A10.doc", merge starlevels(5) se
mi estimate, post cmdok: logit missing gov_free_market_cmp_static_e votes eu_cont_gdp gdp_growth attended_debates_pm_no accession_year
outreg using "./Tables/Table_A10.doc", merge starlevels(5) se

mi estimate, post cmdok: logit missing gov_state_involvement_cmp_st votes eu_cont_gdp gdp_growth attended_debates_pm_no accession_year
outreg using "./Tables/Table_A10.doc", merge starlevels(5) se
mi estimate, post cmdok: logit missing gov_state_involve_cmp_st_e votes eu_cont_gdp gdp_growth attended_debates_pm_no accession_year
outreg using "./Tables/Table_A10.doc", merge starlevels(5) se

